#include "stdio.h"

#include <OS.h>

int main(int argc, char **argv) {
	bigtime_t micro = system_time();
	bigtime_t milli = micro/1000;
	bigtime_t sec = milli/1000;
	bigtime_t min = sec/60;
	bigtime_t hours = min/60;
	bigtime_t days = hours/24;
	
	printf("BeOS System was booted ");

	if (days)
		printf("%Ld day%s, ",days,days!=1?"s":"");

	if (hours%24)
		printf("%Ld hour%s, ",hours%24,(hours%24)!=1?"s":"");

	if (min%60)
		printf("%Ld minute%s, ", min%60, (min%60)!=1?"s":"");

	printf("%Ld second%s ago.\n",sec%60,(sec%60)!=1?"s":"");

	if (argc==2)
		if (!strcmp("-verbose", argv[1])) {
			printf("Total BeOS uptime:\n\t%Ld microseconds\n\t%Ld milliseconds\n\t%Ld seconds\n\t%Ld minutes\n",
					micro,milli,sec,min);
			printf("\t%Lf hours\n",
                    micro /1000.0/60.0/60.0/1000.0);
            printf("\t%Lf days\n",
                    micro /1000.0/60.0/60.0/1000.0/24.0);
		}
	
	return 0;
}
